> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vexelia.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update name



## OpenAPI

````yaml PATCH /nodes/{nodeId}/name
openapi: 3.0.1
info:
  title: Vexelia API
  description: >-
    The base Vexelia API for interfacing with the Vexelia platform through a
    REST interface.
  termsOfService: https://vexelia.com/terms
  contact:
    name: Support
    url: https://help.vexelia.com
    email: support@vexelia.com
  version: v0.0.1
servers:
  - url: https://api.vexelia.com
    description: The production Vexelia API
security:
  - bearer: []
tags:
  - name: Backup
    description: Controller that handles backing up and restoring VMs
  - name: HostNode
    description: Controller that handles getting and updating host nodes
  - name: Network
    description: Controller that handles network management for the platform
  - name: Node
    description: Handles the management of VPS servers and dedicated servers (nodes)
  - name: Payment
    description: Handles all payment-related systems and webhooks
  - name: Plan
    description: Controller that handles managing pricing plans
  - name: Template
    description: Manages templates for Proxmox
  - name: User
    description: >-
      Handles all user-related functions such as creating and authenticating
      users
  - name: Vnc
    description: Handles proxying VNC websockets to client safely
paths:
  /nodes/{nodeId}/name:
    patch:
      tags:
        - Node
      summary: Update node name
      parameters:
        - name: nodeId
          in: path
          description: The ID of the node to update the name for
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        description: The form containing the new node name
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateNodeNameForm'
          text/json:
            schema:
              $ref: '#/components/schemas/UpdateNodeNameForm'
          application/*+json:
            schema:
              $ref: '#/components/schemas/UpdateNodeNameForm'
      responses:
        '200':
          description: The node name was updated
        '404':
          description: The node was not found
components:
  schemas:
    UpdateNodeNameForm:
      required:
        - name
      type: object
      properties:
        name:
          maxLength: 64
          minLength: 3
          type: string
      additionalProperties: false
  securitySchemes:
    bearer:
      type: http
      description: Your API key goes here, you can generate one in your account settings.
      scheme: bearer
      bearerFormat: JWT

````